HttpRequest::setContentType
HttpRequest::setHeaders
The HttpRequest
PHP Manual

# HttpRequest::setCookies

(PECL pecl_http:0.12.0-1.5.5)

HttpRequest::setCookies — Set cookies

### Description

public bool HttpRequest::setCookies ([ array `$cookies` ] )

Set custom cookies.

### Parameters

`cookies`

  an associative array as parameter containing cookie name/value pairs; if empty or omitted, all previously set cookies will be unset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setContentType
HttpRequest::setHeaders
The HttpRequest
PHP Manual